OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.PixelRectangles.Rasterization

Description

This module corresponds to a part of section 3.6.4 (Rasterization of Pixel Rectangles) of the OpenGL 2.1 specs.

# Documentation

data PixelData a Source #

Constructors

PixelData PixelFormat DataType (Ptr a) |

#### Instances

Instances details

Show (PixelData a) Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.PixelData Methods showsPrec :: Int -> PixelData a -> ShowS Source # show :: PixelData a -> String Source # showList :: [PixelData a] -> ShowS Source #
Eq (PixelData a) Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.PixelData Methods (==) :: PixelData a -> PixelData a -> Bool Source # (/=) :: PixelData a -> PixelData a -> Bool Source #
Ord (PixelData a) Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.PixelData

Methods

compare :: PixelData a -> PixelData a -> Ordering Source #

(<) :: PixelData a -> PixelData a -> Bool Source #

(<=) :: PixelData a -> PixelData a -> Bool Source #

(>) :: PixelData a -> PixelData a -> Bool Source #

(>=) :: PixelData a -> PixelData a -> Bool Source #

max :: PixelData a -> PixelData a -> PixelData a Source #

min :: PixelData a -> PixelData a -> PixelData a Source #

data PixelFormat Source #

Constructors

ColorIndex |
StencilIndex |
DepthComponent |
DepthStencil |
Red |
Green |
Blue |
Alpha |
RG |
RGB |
RGBA |
Luminance |
LuminanceAlpha |
RedInteger |
GreenInteger |
BlueInteger |
AlphaInteger |
RGInteger |
RGBInteger |
RGBAInteger |
BGRInteger |
BGRAInteger |
ABGR |
BGR |
BGRA |
CMYK |
CMYKA |
FourTwoTwo |
FourTwoTwoRev |
FourTwoTwoAverage |
FourTwoTwoRevAverage |
YCBCR422 |

#### Instances

Instances details

Show PixelFormat Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.PixelFormat Methods showsPrec :: Int -> PixelFormat -> ShowS Source # show :: PixelFormat -> String Source # showList :: [PixelFormat] -> ShowS Source #
Eq PixelFormat Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.PixelFormat Methods (==) :: PixelFormat -> PixelFormat -> Bool Source # (/=) :: PixelFormat -> PixelFormat -> Bool Source #
Ord PixelFormat Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.PixelFormat

Methods

compare :: PixelFormat -> PixelFormat -> Ordering Source #

(<) :: PixelFormat -> PixelFormat -> Bool Source #

(<=) :: PixelFormat -> PixelFormat -> Bool Source #

(>) :: PixelFormat -> PixelFormat -> Bool Source #

(>=) :: PixelFormat -> PixelFormat -> Bool Source #

max :: PixelFormat -> PixelFormat -> PixelFormat Source #

min :: PixelFormat -> PixelFormat -> PixelFormat Source #

drawPixels :: Size -> PixelData a -> IO () Source #

pixelZoom :: StateVar (GLfloat, GLfloat) Source #